> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ad Clone item by id



## OpenAPI

````yaml get /api/ads_clone/{id}/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/ads_clone/{id}/:
    get:
      tags:
        - ads_clone
      operationId: ads_clone_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this ads clone flow.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIAdsCloneFlow'
          description: ''
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  schemas:
    APIAdsCloneFlow:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Created date
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Updated date
        link:
          type: string
          format: uuid
          description: >-
            UUID of a pre-created Link used for ad generation. Create the Link
            using the Links API and ensure it contains at least one image.
        video_url:
          type: string
          format: uri
          description: URL of the reference ad video
        aspect_ratio:
          allOf:
            - $ref: '#/components/schemas/AspectRatio338Enum'
          default: 9x16
        language:
          nullable: true
          description: >-
            Language of the video. If null, the original language of the video
            is used.


            * `af` - Afrikaans

            * `ar` - Arabic

            * `as` - Assamese

            * `az` - Azerbaijani

            * `be` - Belarusian

            * `bg` - Bulgarian

            * `bn` - Bengali

            * `bs` - Bosnian

            * `ca` - Catalan; Valencian

            * `cb` - Cebuano

            * `cs` - Czech

            * `cy` - Welsh

            * `da` - Danish

            * `de` - German

            * `el` - Greek, Modern

            * `en` - English

            * `es` - Spanish; Castilian

            * `et` - Estonian

            * `fa` - Persian

            * `fi` - Finnish

            * `fl` - Filipino

            * `fr` - French

            * `ga` - Irish

            * `gl` - Galician

            * `gu` - Gujarati

            * `ha` - Hausa

            * `he` - Hebrew (modern)

            * `hi` - Hindi

            * `hr` - Croatian

            * `hu` - Hungarian

            * `hy` - Armenian

            * `id` - Indonesian

            * `is` - Icelandic

            * `it` - Italian

            * `ja` - Japanese

            * `jv` - Javanese

            * `ka` - Georgian

            * `kk` - Kazakh

            * `kn` - Kannada

            * `ko` - Korean

            * `ky` - Kirghiz, Kyrgyz

            * `lb` - Luxembourgish, Letzeburgesch

            * `ln` - Lingala

            * `lt` - Lithuanian

            * `lv` - Latvian

            * `mk` - Macedonian

            * `ml` - Malayalam

            * `mr` - Marathi (Marāṭhī)

            * `ms` - Malay

            * `ne` - Nepali

            * `nl` - Dutch

            * `no` - Norwegian

            * `ny` - Chichewa; Chewa; Nyanja

            * `pa` - Panjabi, Punjabi

            * `pl` - Polish

            * `ps` - Pashto, Pushto

            * `pt` - Portuguese

            * `ro` - Romanian, Moldavian, Moldovan

            * `ru` - Russian

            * `sd` - Sindhi

            * `sk` - Slovak

            * `sl` - Slovene

            * `so` - Somali

            * `sr` - Serbian

            * `sv` - Swedish

            * `sw` - Swahili

            * `ta` - Tamil

            * `te` - Telugu

            * `th` - Thai

            * `tl` - Tagalog

            * `tr` - Turkish

            * `uk` - Ukrainian

            * `ur` - Urdu

            * `vi` - Vietnamese

            * `zh` - Chinese
          oneOf:
            - $ref: '#/components/schemas/LanguageEnum'
            - $ref: '#/components/schemas/NullEnum'
        webhook_url:
          type: string
          format: uri
          nullable: true
          description: Webhook URL for status updates. Default is null.
          maxLength: 200
        video_output:
          type: string
          nullable: true
          readOnly: true
          description: Video output URL
        credits_used:
          type: number
          description: Credits used in this API call
          readOnly: true
        media_job:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        status:
          allOf:
            - $ref: '#/components/schemas/StatusD69Enum'
          readOnly: true
      required:
        - created_at
        - credits_used
        - id
        - link
        - media_job
        - status
        - updated_at
        - video_output
        - video_url
    AspectRatio338Enum:
      enum:
        - 9x16
        - 16x9
        - 1x1
      type: string
      description: |-
        * `9x16` -  9X16
        * `16x9` -  16X9
        * `1x1` -  1X1
    LanguageEnum:
      enum:
        - af
        - ar
        - as
        - az
        - be
        - bg
        - bn
        - bs
        - ca
        - cb
        - cs
        - cy
        - da
        - de
        - el
        - en
        - es
        - et
        - fa
        - fi
        - fl
        - fr
        - ga
        - gl
        - gu
        - ha
        - he
        - hi
        - hr
        - hu
        - hy
        - id
        - is
        - it
        - ja
        - jv
        - ka
        - kk
        - kn
        - ko
        - ky
        - lb
        - ln
        - lt
        - lv
        - mk
        - ml
        - mr
        - ms
        - ne
        - nl
        - 'no'
        - ny
        - pa
        - pl
        - ps
        - pt
        - ro
        - ru
        - sd
        - sk
        - sl
        - so
        - sr
        - sv
        - sw
        - ta
        - te
        - th
        - tl
        - tr
        - uk
        - ur
        - vi
        - zh
      type: string
      description: |-
        * `af` - Afrikaans
        * `ar` - Arabic
        * `as` - Assamese
        * `az` - Azerbaijani
        * `be` - Belarusian
        * `bg` - Bulgarian
        * `bn` - Bengali
        * `bs` - Bosnian
        * `ca` - Catalan; Valencian
        * `cb` - Cebuano
        * `cs` - Czech
        * `cy` - Welsh
        * `da` - Danish
        * `de` - German
        * `el` - Greek, Modern
        * `en` - English
        * `es` - Spanish; Castilian
        * `et` - Estonian
        * `fa` - Persian
        * `fi` - Finnish
        * `fl` - Filipino
        * `fr` - French
        * `ga` - Irish
        * `gl` - Galician
        * `gu` - Gujarati
        * `ha` - Hausa
        * `he` - Hebrew (modern)
        * `hi` - Hindi
        * `hr` - Croatian
        * `hu` - Hungarian
        * `hy` - Armenian
        * `id` - Indonesian
        * `is` - Icelandic
        * `it` - Italian
        * `ja` - Japanese
        * `jv` - Javanese
        * `ka` - Georgian
        * `kk` - Kazakh
        * `kn` - Kannada
        * `ko` - Korean
        * `ky` - Kirghiz, Kyrgyz
        * `lb` - Luxembourgish, Letzeburgesch
        * `ln` - Lingala
        * `lt` - Lithuanian
        * `lv` - Latvian
        * `mk` - Macedonian
        * `ml` - Malayalam
        * `mr` - Marathi (Marāṭhī)
        * `ms` - Malay
        * `ne` - Nepali
        * `nl` - Dutch
        * `no` - Norwegian
        * `ny` - Chichewa; Chewa; Nyanja
        * `pa` - Panjabi, Punjabi
        * `pl` - Polish
        * `ps` - Pashto, Pushto
        * `pt` - Portuguese
        * `ro` - Romanian, Moldavian, Moldovan
        * `ru` - Russian
        * `sd` - Sindhi
        * `sk` - Slovak
        * `sl` - Slovene
        * `so` - Somali
        * `sr` - Serbian
        * `sv` - Swedish
        * `sw` - Swahili
        * `ta` - Tamil
        * `te` - Telugu
        * `th` - Thai
        * `tl` - Tagalog
        * `tr` - Turkish
        * `uk` - Ukrainian
        * `ur` - Urdu
        * `vi` - Vietnamese
        * `zh` - Chinese
    NullEnum:
      enum:
        - null
    StatusD69Enum:
      enum:
        - pending
        - in_queue
        - running
        - failed
        - done
        - rejected
      type: string
      description: |-
        * `pending` - Pending
        * `in_queue` - In Queue
        * `running` - Running
        * `failed` - Failed
        * `done` - Done
        * `rejected` - Rejected
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````